/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "top_20")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Top20.findAll", query = "SELECT t FROM Top20 t")
        , @NamedQuery(name = "Top20.findByProductoCodigo", query = "SELECT t FROM Top20 t WHERE t.productoCodigo = :productoCodigo")
        , @NamedQuery(name = "Top20.findByVendidos", query = "SELECT t FROM Top20 t WHERE t.vendidos = :vendidos")
        , @NamedQuery(name = "Top20.findByVenta", query = "SELECT t FROM Top20 t WHERE t.venta = :venta")})
public class Top20 implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    @Id
    private String productoCodigo;
    @Column(name = "nombre_producto")
    private String nombreProducto;
    @Column(name = "vendidos")
    private BigInteger vendidos;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "venta")
    private BigDecimal venta;
    @Column(name = "existencia_actual_central")
    private BigInteger existenciaActualCentral;
    @Column(name = "existencia_actual_salas")
    private BigInteger existenciaActualSalas;

    public Top20() {
    }

    public String getNombreProducto() {
        return nombreProducto;
    }

    public void setNombreProducto(String nombreProducto) {
        this.nombreProducto = nombreProducto;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public BigInteger getVendidos() {
        return vendidos;
    }

    public void setVendidos(BigInteger vendidos) {
        this.vendidos = vendidos;
    }

    public BigDecimal getVenta() {
        return venta;
    }

    public void setVenta(BigDecimal venta) {
        this.venta = venta;
    }

    public BigInteger getExistenciaActualCentral() {
        return existenciaActualCentral;
    }

    public void setExistenciaActualCentral(BigInteger existenciaActualCentral) {
        this.existenciaActualCentral = existenciaActualCentral;
    }

    public BigInteger getExistenciaActualSalas() {
        return existenciaActualSalas;
    }

    public void setExistenciaActualSalas(BigInteger existenciaActualSalas) {
        this.existenciaActualSalas = existenciaActualSalas;
    }


}
